
Redmine - Feature #32945

Show module names in bold in permission report
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed   

Description

Currently, permission group names in the permission report are displayed in normal font-weight.

But I think they should be displayed in bold. Group names should be more prominent for legibility. In addition, showing in normal

font-weight is inconsistent with the issues list with "group results by" is applied.

The attached patch changes the style of group names in the permission report.

[Before]

 

[After]

 

Related issues:

Related to Redmine - Patch #32961: Make group names clickable in permissions ... New

Related to Redmine - Patch #32991: Make group names bold on tracker summary view Closed

Associated revisions

Revision 19509 - 2020-02-11 04:52 - Go MAEDA

Show module names in bold in permission report (#32945).

Patch by Go MAEDA.

Revision 19514 - 2020-02-13 02:38 - Go MAEDA

Merged r19509 from trunk to 4.1-stable (#32945).
2025-05-17 1/2



#1 - 2020-02-06 14:50 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2020-02-06 17:55 - Bernhard Rohloff

I've tried your patch and I think it's a good improvement.

+1

#3 - 2020-02-06 18:06 - Bernhard Rohloff

- Related to Patch #32961: Make group names clickable in permissions report added

#4 - 2020-02-06 18:07 - Bernhard Rohloff

I've proposed an additional patch in #32961 to further improve the usability of the group names. :-)

#5 - 2020-02-07 00:57 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#6 - 2020-02-11 01:34 - Go MAEDA

- Target version changed from 4.2.0 to 4.1.1

Since the patch only changes CSS, so no problem to deliver in 4.1.1.

#7 - 2020-02-11 04:53 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch.

#8 - 2020-02-11 04:53 - Go MAEDA

- Subject changed from Show group names in bold in permission report to Show module names in bold in permission report

#9 - 2020-02-12 13:38 - Bernhard Rohloff

- Related to Patch #32991: Make group names bold on tracker summary view added

#10 - 2020-02-13 02:38 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Fixed
